Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface ServiceBrokerControl

All Superinterfaces:
  com.bea.control.Asynchronous, com.bea.control.Control, Serializable, com.bea.control.ServiceControl, com.bea.control.ServiceProxy, com.bea.control.XMLControl

public interface ServiceBrokerControl
extends com.bea.control.ServiceControl

Nested Class Summary

Nested classes inherited from class com.bea.control.ServiceControl
`com.bea.control.ServiceControl.Callback`

Method Summary
`com.bea.wli.control.dynamicProperties.ServiceBrokerControlPropertiesDocument` | `getProperties()` Returns the current control properties.
`void` | `setProperties(com.bea.wli.control.dynamicProperties.ServiceBrokerControlPropertiesDocument props)` This method sets the control properties dynamically.

Methods inherited from interface com.bea.control.ServiceControl
`getConversationID, getEndPoint, getInputHeaders, getPassword, getProtocol, getReliableMessageID, getTimeout, getUsername, reset, setClientCert, setConversationID, setEndPoint, setKeystore, setKeystore, setOutputHeaders, setPassword, setProtocol, setReliableMessageID, setTimeout, setUsername, useClientKeySSL`

Method Detail

### setProperties

    public void setProperties(com.bea.wli.control.dynamicProperties.ServiceBrokerControlPropertiesDocument props)
                       throws Exception

  This method sets the control properties dynamically. Properties set by this method over-ride the static annotations.

  Parameters:
    `props` - control properties
  Throws:
    `Exception`

### getProperties

    public com.bea.wli.control.dynamicProperties.ServiceBrokerControlPropertiesDocument getProperties()

  Returns the current control properties. Note that this includes all properties except security-related settings like username/password, keyAlias/keyPassword and keyStoreLocation/keyStorePassword.

  Returns:
    the properties

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD